# Class TCefBaseRefCountedOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFBaseRefCounted

## Declaration

`type TCefBaseRefCountedOwn = class(TInterfacedObject, ICefBaseRefCounted)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn

## Overview

### Fields

| `FData: Pointer;`

### Methods

| `function HasOneRef: boolean;`
| `function HasAtLeastOneRef: boolean;`
| `constructor CreateData(size: Cardinal; owned : boolean = False); virtual;`
| `destructor Destroy; override;`
| `function SameAs(aData : Pointer) : boolean; overload;`
| `function SameAs(const aBaseRefCounted : ICefBaseRefCounted) : boolean; overload;`
| `procedure DestroyOtherRefs;`
| `function Wrap: Pointer;`

## Description

### Fields

| `FData: Pointer;`
This item has no description.

### Methods

| `function HasOneRef: boolean;`
This item has no description. Showing description inherited from ICefBaseRefCounted.HasOneRef. Returns true (1) if the current reference count is 1.

| `function HasAtLeastOneRef: boolean;`
This item has no description. Showing description inherited from ICefBaseRefCounted.HasAtLeastOneRef. Returns true (1) if the current reference count is at least 1.

| `constructor CreateData(size: Cardinal; owned : boolean = False); virtual;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

| `function SameAs(aData : Pointer) : boolean; overload;`
This item has no description. Showing description inherited from ICefBaseRefCounted.SameAs. Compares the aData pointer with the FData field if the current instance.

| `function SameAs(const aBaseRefCounted : ICefBaseRefCounted) : boolean; overload;`
This item has no description.

| `procedure DestroyOtherRefs;`
This item has no description. Showing description inherited from ICefBaseRefCounted.DestroyOtherRefs. Releases all other instances.

| `function Wrap: Pointer;`
This item has no description. Showing description inherited from ICefBaseRefCounted.Wrap. Called to increment the reference count for the object. Should be called for every new copy of a pointer to a given object.

Generated by PasDoc 0.16.0-snapshot.